Subject: Re: [bug-diffutils] bug#24228: [platform-testers] new snapshot available: diffutils-3.4.9-d647

From: Dagobert Michelsen <[email-masked]>
Date: Thu, 8 Sep 2016 14:02:13 +0200

Hi Jim,

Am 19.08.2016 um 06:18 schrieb Jim Meyering <[email-masked]>:
> On Mon, Aug 15, 2016 at 1:35 PM, Dagobert Michelsen <[email-masked]> wrote:
>>> Am 15.08.2016 um 07:33 schrieb Jim Meyering <[email-masked]>:
> ...
>>> http://meyering.net/diff/diffutils-3.4.9-d647.tar.xz
> 
> Thank you for testing.
> 
>> I get this error on Solaris 10 Sparc with GCC 5.2, same for
>> Solaris 11 Sparc with GCC 5.2:
>> 
>>>  CC       rawmemchr.o
>>> rawmemchr.c: In function 'rawmemchr':
>>> rawmemchr.c:49:18: error: cast increases required alignment of target type [-Werror=cast-align]
>>>   longword_ptr = (const longword *) char_ptr;
>>>                  ^
>>> cc1: all warnings being treated as errors
>>> gmake[2]: *** [Makefile:1784: rawmemchr.o] Error 255
> 
> In this case, I think the best advice it not to with warnings enabled
> (don't use configure's --enable-gcc-warnings) unless you're using a
> sufficiently modern system, probably glibc-based.

Ok.

>> Compilation on Solaris 11 x86, 32 and 64 bit work fine with
>> Oracle Studio 12.4.
>> 
>> On Solaris 11 Sparc with Oracle Studio 12.4 it works for 32 bit,
>> for 64 bit I get an error in the testsuite:
>> 
>>> FAIL: test-timespec
>>> ===================
>>> 
>>> test-timespec.c:138: assertion 'cmp (a, b) == sign (i - j)' failed
>>> FAIL test-timespec (exit status: 262)
> 
> This one is interesting.
> It would be great if you could get in with a debugger to see what
> exactly is going wrong.
> It's probably not an issue for diffutils, as it barely uses timespec
> at all and does not use timespec_sub.

I didn’t get into looking into that yet, sorry.

>> On Solaris 9 Sparc with GCC 4.6 I still get this, probably because the
>> change you proposed in not in the release tarball. I’d happily test if the
>> updated tarballs are bootstrapped:
>> 
>>>  CC       error.o
>>> error.c:112:1: error: function declaration isn't a prototype [-Werror=strict-prototypes]
> 
> This appears to be exposing some unusually old code in error.c that
> should instead be relying on gnulib's own strerror_r module.
> We'll probably fix it properly in the long run, but simply not using
> --enable-gcc-warnings will avoid it for you now.

Ok.

>> I would like to set up buildbot, to which repository? The one at Savannah?
>> Do you have a preferred branch?
>>  git://git.savannah.gnu.org/diffutils.git
> 
> A buildbot would be great!
> That is indeed the right repository, and as for branch, please use "master".

This is now set up:
  https://buildfarm.opencsw.org/buildbot/waterfall?tag=diffutils

I will add more build options, compilers and platforms sometime.

I can also configure sending automatic emails if a build breaks, which destination
address would you prefer?

Best regards

  — Dago

--
"You don't become great by trying to be great, you become great by wanting to do something,
and then doing it so hard that you become great in the process." - xkcd #896